<?php
/**
 * Created by PhpStorm.
 * Email: 2850737288@qq.com
 * User: 赖永恒
 * Time: 16-10-24 下午3:16
 */

namespace Niaoyun\Common;


use Niaoyun\Help\HelpService;

class GlobalTags
{
	private $helpService;
	public function __construct()
	{
		$this->helpService = new HelpService();
	}

	public function getTags()
	{
		$tags = $this->getCommonTag();
		$tags['common_help_class_list'] = $this->helpService->getHelpClassList(0);
		return $tags;
	}

	private function getCommonTag() {
		$tagmap = array(
			'basic.icp_code'        => 'common_icp_code',
			'basic.gn_icp_code'     => 'common_gn_icp_code',
			'basic.site_name'       => 'common_site_name',
			'basic.keywords'        => 'common_keywords',
			'basic.description'     => 'common_description',
			'basic.home_title'      => 'common_home_title',
			'basic.company_name'    => 'common_company_name',
			'basic.company_address' => 'common_company_address',
			'basic.postcode'        => 'common_postcode',
			'basic.service_hotline' => 'common_service_hotline',
			'basic.qq'              => 'common_qq',
			'basic.email'           => 'common_email',
			'basic.bank_name'       => 'common_bank_name',
			'basic.bank_account'    => 'common_bank_account',
			'basic.copyright'       => 'common_copyright',
			'basic.bottom_text'     => 'common_bottom_text',
			'basic.logo'            => 'common_uc_logo_min',
			'basic.bigLogo'         => 'common_uc_logo_max',
			'basic.adminLogo'       => 'common_admin_logo',
			'basic.userLogo'        => 'common_main_logo',
			'basic.wechat_qrcode'   => 'common_wechat_qrcode',
			'basic.weibo_qrcode'    => 'common_weibo_qrcode',
			'basic.activityImg'     => 'common_activity_img',
			'basic.activityUrl'     => 'common_activity_url',
			'basic.activityTitle'   => 'common_activity_title',
			'finance.refundDaysHost'    => 'common_finance_refunddays_host',
			'finance.refundDaysServer'    => 'common_finance_refunddays_server',
			'finance.refundDaysIdc'    => 'common_finance_refunddays_idc',
			'recharge.wxLogo'       => 'common_pay_wechat_logo',
			'basic.mobileLogo'      => 'common_mobile_logo',
			'basic.statisticalCode' => 'common_statistical_code',
			'basic.changyancode'    => 'common_changyan_code',
		);
		$tags = array();

		foreach ($tagmap as $configKey => $tag) {
			if ($configKey == 'basic.statisticalCode') {
				$tags[$tag] = htmlspecialchars_decode(C('basic.statisticalCode'));
			} elseif($configKey == 'basic.service_hotline'){
				$hotLine = C('basic.service_hotline');
				if(strpos($hotLine,'/')){
					$data = explode('/',$hotLine);
					$tags[$tag] = $data;
					$tags['hot_key'] = 1;
				}else{
					$tags[$tag] = C($configKey);
				}
			} elseif($configKey == 'basic.qq'){
				$hotLine = C('basic.qq');
				if(strpos($hotLine,'/')){
					$data = explode('/',$hotLine);
					$tags[$tag] = $data;
					$tags['qq_key'] = 1;
				}else{
					$tags[$tag] = C($configKey);
				}
			} else {
				$tags[$tag] = C($configKey);
			}

		}

		$tags['common_site_url'] = SITE_DOMAIN;

		return $tags;
	}
}